首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
宝塔
V2EX  ›  程序员

百度网盘居然出 Linux 版了

  •  1
     
  •   skiy · 158 天前 via Android · 18454 次点击
    这是一个创建于 158 天前的主题,其中的信息可能已经有所发展或是发生改变。

    刚看到百度网盘居然出 linux 版本了。

    政治觉悟高啊。

    这波必须点赞。

    130 回复  |  直到 2019-06-17 17:09:53 +08:00
    1  2  
        101
    anonymous256   158 天前 via Android   ♥ 2
    @Jirajine #99 他说啥了?这就怼了吗。

    餐饮我不了解,毕竟外行。但是说代码,大厂就的代码咋就不能运行了?是里面下了毒吗? 大厂的软件就活该免费+无广告吗? 虽然我也不喜欢百度,但是就事论事,百度网盘是良心产品,至少一直亏损运行。白嫖还事多, 见一次怼一次

    啥论坛啊? 不知道论坛就外行了? 自己下载来源不正规的软件,被捆绑一堆流氓软件,自己蠢怪谁。那种流氓软件,就只能骗骗傻子,偷懒不在官网下,或者不用正规的应用商店,活该被捆绑。
        102
    awen233333   158 天前 via Android
    等下就去下载安装一波,支持一下
        103
    pythonee   158 天前
    @liuxu 为啥嫌弃 RPM 包
        104
    zhuzhi90   158 天前
    系统 ubuntu 16.04, 将 rpm 包通过 alien 转化为 deb 包之后安装.

    cd 到 /opt/baidunetdisk/ 之下, 运行 ./baidunetdisk, 得到如下错误:

    [libprotobuf FATAL google/protobuf/stubs/common.cc:61] This program requires version 3.3.0 of the Protocol Buffer runtime library, but the installed version is 2.6.1. Please update your library. If you compiled the program yourself, make sure that your headers are from the same version of Protocol Buffers as your link-time library. (Version verification failed in "./protobuf/cms_protocol.pb.cc".)
    terminate called after throwing an instance of 'google::protobuf::FatalException'
    what(): This program requires version 3.3.0 of the Protocol Buffer runtime library, but the installed version is 2.6.1. Please update your library. If you compiled the program yourself, make sure that your headers are from the same version of Protocol Buffers as your link-time library. (Version verification failed in "./protobuf/cms_protocol.pb.cc".)
    Aborted (core dumped)

    运行 protoc --version 得到版本为 2.6.1, 在 https://github.com/protocolbuffers/protobuf/releases 页面中下载 protoc-3.8.9-linux-x86_64.zip, 解压缩后将 protoc 替换掉原有的 /usr/bin/protoc

    再次运行 protoc --version 得到版本为 3.8.0, 尝试启动 baidunetdisk, 还是得到同样的错误.

    我还尝试了添加 ppa 源, 安装 protoc 3.1.0(双版本并存), 但是 baidunetdisk 任然识别为 2.6.1. 我想要移除 protoc 2.6.1, 发现有太多程序的依赖会被打破, 所以没敢移除.

    有没有大佬知道这个问题怎么解决啊.
        105
    zhuzhi90   158 天前
    上述 protoc-3.8.9-linux-x86_64.zip 是误键入, 应该为 protoc-3.8.0-linux-x86_64.zip. 键盘不适应键位输入错了.
        106
    ys0290   158 天前 via iPhone
    @zhuzhi90 非专业,就我理解,人家是要 3.3.0,而非大于等于 3.3.0,是不是版本又太高了?
        107
    outladder   158 天前 via Android
    @zhuzhi90 18.04 会不会安装成功
        108
    ys0290   157 天前 via iPhone
    @ys0290 ubuntu1804,snap info protobuf 版本 3.6.0,运行除了界面只有下面一个提示
    (node:6015) ExperimentalWarning: The dns.promises API is experimental
        109
    lake325   157 天前
    1G 以上的东西,不充值,下不动
        110
    zhuzhi90   157 天前
    @ys0290 谢谢你的建议, 我也不是专业程序员. 我试了用 snap install protobuf, 安装了 3.6.0, 还是运行不起来, baidunetdisk 一直都显示版本为 2.6.1.

    我本来一直懒得升级到 18.04 的, 哈哈, 这周末正好来试试看.
        111
    param   157 天前 via Android
    解压出来是 electron 的
        112
    liuzhiyong   157 天前
    我用深度 deepin 系统,它的 Wine 很牛,里面还有 QQ 和迅雷。
        113
    zhuzhi90   157 天前
    @outladder 我从 16.04 升级到 18.04 之后, 可以成功安装并打开了.

    我开始期望太高了, 百度网盘 linux 版本实在较为简陋, 不包含 win 版本下的自动同步等功能.

    希望对 linux 用户越来越友善.
        114
    flyz   157 天前 via Android   ♥ 1
    @Jirajine
    QQ 微信也别用,一直在侵犯你的个人隐私。
    我是你就用 TG,没有朋友就没朋友,根本不在乎?
    国内大厂怎么也不会因为一些蝇头小利去出卖用户隐私,反而小而美的联网应用我还不好用。
        115
    socradi   157 天前
    可以算是良心了
        116
    ipray   157 天前
    官方出的?
        117
    PTLin   157 天前
    @r1902167838 aur 只是个仓库,这个仓库要配合构建软件来使用,比如 yay,yaourt,aurman 之类的,这些从 aur 上下载 PKGBUILD 然后 makepkg,生成安装包,然后肯定需要调用 sudo pacman 来安装啊。
        118
    wendellyih   157 天前 via Android
    我用的 manjaro,aur 里面的可以直接用啊。
        119
    oyjw443523   157 天前
    @zhuzhi90 它要求的是 runtime library,不是 protoc 编译器,那个是开发者用的,你得编译出 libprotobuf.so 装到 /usr/lib64 或 /usr/lib 那里去
        120
    Jirajine   157 天前 via Android   ♥ 1
    @anonymous256 不知道您怎么理解成“免费+无广告”的。注入驱动,强要 UAC,扫描硬盘,卸载残留,这和免费不免费有什么关系?强推流氓客户端,封杀网页版,客户端还会后台 p2p,这算不算流氓?
    别上来就扣白嫖帽子,我可一直续着年费,但这和我恶心它以上的做法没有任何关系。
    没看过大厂代码你也可以看看大厂的隐私协议,收集的信息可谓是全方位而且为所欲为的。我可巴不得能付费签另一款短小点的隐私协议呢,问题是我能吗?
    那个论坛就是一群天天想给你安装捆绑锁主页的人的交流论坛,去观察一下可以看到它们流氓到了什么程度 以及 流氓带来了多高的收益。
    @flyz QQ 微信有专门的 iOS 备机 /虚拟机装,就不劳烦您费心了。至于会不会出卖,您读读隐私协议去?
        121
    encro   157 天前   ♥ 1
    这样说坚果云支持 mac,linux,windows,无广告,简直就是共产主义啊。
        122
    aten12   157 天前 via Android
    @pythonee 大部分用 deb
        123
    os7blue   157 天前
    现在国内支持 linux,各平台用户量较多的软件有 360 浏览器,搜狗输入法,wps,网易云音乐,希望越来越多。
        124
    zergzzlun   157 天前
    已装,可以用,感觉不错。之后发现装上以后乱七八糟东西多了一堆,法克。
        125
    ntuwang   156 天前
    我觉得 直接用 electron 封装个 也就够用了
        126
    ccfoucs   156 天前
    ubuntu 16.04 用 alien 转成 deb 安装后没法启动,dalao 们有解决办法吗
        127
    FrankHB   156 天前
    @alphatoad 龙芯? mips 的 gcc 今年已经不炸了吗?
        128
    skiy   156 天前
    @ccfoucs 能正常安装不?我的是 ubuntu19.04 ,正常启动和使用。
        129
    FrankHB   156 天前
    @anonymous256 再良心还是无能啊。满足不了需求有啥意义。

    流氓软件……不信任来源不审计代码不限制权限不是我写的,不管从哪下载的软件流氓程度有差么。
        130
    LicV587   156 天前
    @Jirajine 其实你说这么多,就一句话:国外的月亮是圆的,国外的屎是香的。
    1  2  
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4138 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 28ms · UTC 01:40 · PVG 09:40 · LAX 17:40 · JFK 20:40
    ♥ Do have faith in what you're doing.